'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

require('babel/polyfill');

var _ritzy = require('./ritzy');

var _ritzy2 = _interopRequireDefault(_ritzy);

// font support is baking (so configuration is left at the OpenSans default)
// the most often used config values are shown below

var config = {
  id: '10',
  fontSize: 18,
  width: 600,
  marginH: 30,
  marginV: 35,
  // userId
  // userName
  onLoadError: function onLoadError(err) {
    document.getElementById('content').innerHTML = 'Oops, I couldn\'t load the editor:\n\n' + err;
  }
};

var ritzy = new _ritzy2['default'](config);

var renderTarget = document.getElementById('content');
ritzy.render(renderTarget);