'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = {
  createTextReplica: function createTextReplica() {
    var Text = this.swarmClient.Swarm.Text;
    this.replica = new Text(this.props.id);
  },

  registerCb: function registerCb(initCb, updateCb) {
    this.replica.on('.init', initCb);
    this.replica.on('.insert', updateCb);
    this.replica.on('.remove', updateCb);
    this.replica.on('.setAttributes', updateCb);
  }
};
module.exports = exports['default'];