'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _RichText = require('./RichText');

var _RichText2 = _interopRequireDefault(_RichText);

var _CursorModel = require('./CursorModel');

var _CursorModel2 = _interopRequireDefault(_CursorModel);

var _CursorSet = require('./CursorSet');

var _CursorSet2 = _interopRequireDefault(_CursorSet);

var SwarmFactory = function SwarmFactory(Swarm) {
  Swarm.debug = false;

  Swarm.Text = _RichText2['default'];
  Swarm.CursorModel = _CursorModel2['default'];
  Swarm.CursorSet = _CursorSet2['default'];

  var env = Swarm.env;
  env.debug = false;
  env.log = function css_log(spec, value, replica, host) {}; // eslint-disable-line camelcase, no-unused-vars

  return Swarm;
};

exports['default'] = SwarmFactory;
module.exports = exports['default'];